summaryrefslogtreecommitdiff
path: root/src
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xsrc/password-store.sh62
1 files changed, 35 insertions, 27 deletions
diff --git a/src/password-store.sh b/src/password-store.sh
index a89be8d..f9e13e4 100755
--- a/src/password-store.sh
+++ b/src/password-store.sh
@@ -115,10 +115,20 @@ fi
case "$command" in
show|ls|list)
clip=0
- if [[ $1 == "--clip" || $1 == "-c" ]]; then
- clip=1
- shift
+
+ opts="$(getopt -o c -l clip -n $program -- "$@")"
+ err=$?
+ eval set -- "$opts"
+ while true; do case $1 in
+ -c|--clip) clip=1; shift ;;
+ --) shift; break ;;
+ esac done
+
+ if [[ $err -ne 0 ]]; then
+ echo "Usage: $program $command [--clip,-c] [pass-name]"
+ exit 1
fi
+
path="$1"
if [[ -d $PREFIX/$path ]]; then
if [[ $path == "" ]]; then
@@ -143,18 +153,17 @@ case "$command" in
insert)
ml=0
noecho=0
- while true; do
- if [[ $1 == "--multiline" || $1 == "-m" ]]; then
- ml=1
- shift
- elif [[ $1 == "--no-echo" || $1 == "-n" ]]; then
- noecho=1
- shift
- else
- break
- fi
- done
- if [[ ( $ml -eq 1 && $noecho -eq 1 ) || $# -ne 1 ]]; then
+
+ opts="$(getopt -o mn -l multiline,no-echo -n $program -- "$@")"
+ err=$?
+ eval set -- "$opts"
+ while true; do case $1 in
+ -m|--multiline) ml=1; shift ;;
+ -n|--no-echo) noecho=1; shift ;;
+ --) shift; break ;;
+ esac done
+
+ if [[ $err -ne 0 || ( $ml -eq 1 && $noecho -eq 1 ) || $# -ne 1 ]]; then
echo "Usage: $program $command [--no-echo,-n | --multiline,-m] pass-name"
exit 1
fi
@@ -241,18 +250,17 @@ case "$command" in
generate)
clip=0
symbols="-y"
- while true; do
- if [[ $1 == "--no-symbols" || $1 == "-n" ]]; then
- symbols=""
- shift
- elif [[ $1 == "--clip" || $1 == "-c" ]]; then
- clip=1
- shift
- else
- break
- fi
- done
- if [[ $# -ne 2 ]]; then
+
+ opts="$(getopt -o nc -l no-symbols,clip -n $program -- "$@")"
+ err=$?
+ eval set -- "$opts"
+ while true; do case $1 in
+ -n|--no-symbols) symbols=""; shift ;;
+ -c|--clip) clip=1; shift ;;
+ --) shift; break ;;
+ esac done
+
+ if [[ $err -ne 0 || $# -ne 2 ]]; then
echo "Usage: $program $command [--no-symbols,-n] [--clip,-c] pass-name pass-length"
exit 1
fi
y?h=v0.13.1&id=9fbebc55eae3efabaeeab9d2d25a3952eccba51f&follow=1'> r634@Devoty: necoro | 2008-01-14 23:48:24 +0100Necoro3-1/+4 2008-01-14 r632@Devoty: necoro | 2008-01-14 23:44:52 +0100Necoro3-175/+181 2008-01-14(no commit message)Necoro10-758/+1014 2008-01-14 r621@Devoty: necoro | 2008-01-14 20:21:40 +0100Necoro2-21/+61 2008-01-14 r618@Devoty: necoro | 2008-01-14 20:19:05 +0100Necoro2-35/+57 2008-01-14 r617@Devoty: necoro | 2008-01-14 19:12:59 +0100Necoro2-10/+10 2008-01-14 r609@Devoty: necoro | 2008-01-14 17:04:38 +0100Necoro9-394/+477 2008-01-14 r605@Devoty: necoro | 2008-01-14 11:43:34 +0100Necoro2-26/+129 2008-01-14 r603@Devoty: necoro | 2008-01-14 11:30:26 +0100Necoro4-26/+38 2008-01-11 r598@Devoty: necoro | 2008-01-10 16:36:29 +0100Necoro4-10/+50 2008-01-11 r597@Devoty: necoro | 2008-01-10 14:12:35 +0100Necoro1-3/+3 2008-01-10 r595@Devoty: necoro | 2008-01-10 04:04:15 +0100Necoro1-52/+3 2008-01-09 r586@Devoty: necoro | 2008-01-09 14:54:18 +0100Necoro1-1/+1 2007-12-06 r577@Devoty: necoro | 2007-12-06 20:37:36 +0100Necoro1-1/+1 2007-12-06 r572@Devoty: necoro | 2007-11-28 08:48:15 +0100Necoro1-0/+1 2007-11-27 r570@Devoty: necoro | 2007-11-27 02:08:21 +0100Necoro3-84/+108